/*
** Program:		PopUpMenu Demo for System 7.0
** File:		PopUpMenu.h
** Written By:	Joe Zobkiw
** Date:		Saturday, June 1, 1991  11:32:11 AM
**
** Copyright  1991 Joe Zobkiw
** All rights reserved.
**
** AFL Zobkiw @ America Online
*/

#define _H_PopUpMenu

/* --- constants -------------------------------- */
#define GENERIC_ALRT_ID			333
#define BROTHERS_HEAD_ALRT_ID	334

#define AHEM_SND_ID				128

#define DIALOG_ID	128
#define 	QUIT_ITEM			1
#define 	FONT_LABEL_ITEM		3
#define 	FONT_USER_ITEM		4
#define 	ALIGN_LABEL_ITEM	5
#define 	ALIGN_USER_ITEM		6
#define 	SAMPLE_USER_ITEM	8
#define 	SIZE_LABEL_ITEM		11
#define 	SIZE_USER_ITEM		12	
#define 	MENU_OUTLINE_USER_ITEM	13
#define 	ICON_ITEM			9

#define FONT_MENU_ID	128
#define ALIGN_MENU_ID	129
#define 	ALIGN_LEFT_ITEM		1
#define 	ALIGN_CENTER_ITEM	2
#define 	ALIGN_RIGHT_ITEM	3
#define SIZE_MENU_ID	130

#define SAMPLE_TEXT_STR	128

#define popupMenuCDEFProc 1008	/* where is this? */


/* --- global variables ------------------------- */

extern DialogPtr		gDialog;
extern ControlHandle	gFontPopUp;
extern ControlHandle	gAlignPopUp;
extern ControlHandle	gSizePopUp;
extern Rect				gFontLabelRect;
extern Rect				gAlignLabelRect;
extern Rect				gSizeLabelRect;
extern Rect				gSampleRect;
extern StringHandle		gSampleStr;
extern short			gAlign;
extern short			gFontNum;
extern short			gSize;
extern short			gBrothersHead;

/* --- global typedefs -------------------------- */

typedef struct {
	MenuHandle	mHandle;
	short		mID;
	/* there is an array of private data here, no need to include for us */
} popupPrivateData, *popupPrivateDataPtr, **popupPrivateDataHdl;

/* --- function prototypes ---------------------- */

void	InitToolBox(void);
void	CheckEnvironment(void);
void 	CreateObjects(void);
Rect	GetDItemRect(DialogPtr d, short item);
void 	SetDItemProc(DialogPtr d, short item, ProcPtr proc);
void	ExitApplication(Boolean error);
void    DoDialog(void);
void 	DrawSampleString(void);
void	PlaySound(short id);

Rect CenterRect(Rect	r);
void ZoomToCorner(DialogPtr dialog);
void ZoomFromCorner(DialogPtr dialog);

short 	Blend(register Fixed fract, 
              short smallCoord, 
              short bigCoord);
void 	ZoomRect(register Rect *smallRect, 
             	 register Rect *bigRect, 
              	 Boolean zoomUp, 
             	 Boolean useWMgrPort);


pascal void DrawGrayFrameMinusText(register DialogPtr d,
						  register short item);
						  
pascal void DrawGrayFrame( register DialogPtr d,
						   register short item);
						   
pascal Boolean	DialogFilter(DialogPtr d, 
							 EventRecord *e, 
							 short *item);
